Skip to main content
GET
/
destinations
List destinations.
curl --request GET \
  --url https://api.streamloop.app/v1/destinations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "name": "<string>",
      "archivedAt": "2023-11-07T05:31:56Z",
      "lastUsedAt": "2023-11-07T05:31:56Z",
      "rtmpURL": "<string>",
      "ytChannelTitleCached": "<string>"
    }
  ],
  "page": {
    "hasMore": true,
    "nextCursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.1 authorization-code flow with PKCE.

Query Parameters

limit
integer
default:20

Maximum items to return (1-100, default 20).

Required range: 1 <= x <= 100
cursor
string

Pagination cursor from a previous response's page.nextCursor.

Response

Successful response.

A page of destination items.

data
object[]
required
page
object
required

Cursor-pagination metadata.